package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-10-04
 * @description : 角色数据上报类型枚举
 */
@Getter
@AllArgsConstructor
public enum DataTypeEnum {

    /**
     * 选择服务器
     */
    TYPE_SELECT_SERVER(1, "选择服务器"),

    /**
     * 创建角色
     */
    TYPE_CREATE_ROLE(2, "创建角色"),

    /**
     * 进入游戏
     */
    TYPE_ENTER_GAME(3, "进入游戏"),

    /**
     * 等级提升
     */
    TYPE_LEVEL_UP(4, "等级提升"),

    /**
     * 退出游戏
     */
    TYPE_EXIT_GAME(5, "退出游戏");

    /**
     * 数据类型
     */
    private final Integer dateType;

    /**
     * 描述
     */
    private final String name;
}
